> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.goextrovert.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Insight

> Permanently deletes an Insight. Note: deleting the parent Context cascades to all its Insights automatically — you do not need to call this per Insight in that case.



## OpenAPI

````yaml https://api.goextrovert.com/client/v2/docs-json delete /client/v2/insight/{id}
openapi: 3.0.0
info:
  title: Extrovert Client API
  description: >-
    Public API for Extrovert platform integration. Use your API key for
    authentication.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.goextrovert.com/
    description: API Server
security: []
tags: []
paths:
  /client/v2/insight/{id}:
    delete:
      tags:
        - Insights
      summary: Delete Insight
      description: >-
        Permanently deletes an Insight. Note: deleting the parent Context
        cascades to all its Insights automatically — you do not need to call
        this per Insight in that case.
      operationId: CampaignInsightClientApiController_delete
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponseDto7'
        '401':
          description: Invalid or missing API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientApiErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    DeleteResponseDto7:
      type: object
      properties:
        status:
          type: string
          description: Response status
          enum:
            - success
        data:
          description: No response payload
          nullable: true
          enum:
            - null
          example: null
        message:
          type: string
          description: Success message
          example: Operation completed successfully
      required:
        - status
        - data
        - message
    ClientApiErrorResponseDto:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
          enum:
            - error
        data:
          type: object
          description: Response data
          example: null
        message:
          type: string
          description: Error message
          example: An error occurred while processing the request
      required:
        - status
        - data
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key for authentication

````